<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-715"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20XHXQRCodeTools%E7%B1%BB%20%E5%8F%82%E8%80%83"></a><title>XHXKit: XHXQRCodeTools类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('interface_x_h_x_q_r_code_tools.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-static-methods">类方法</a> |
<a href="interface_x_h_x_q_r_code_tools-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">XHXQRCodeTools类 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_x_h_x_q_r_code_tools_8h_source.html">XHXQRCodeTools.h</a>&gt;</code></p>
<div class="dynheader">
类 XHXQRCodeTools 继承关系图:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_x_h_x_q_r_code_tools.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
类方法</h2></td></tr>
<tr class="memitem:af4b2fa46013c54070417f20d4d81049d"><td class="memItemLeft" align="right" valign="top">(UIImage *)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_x_h_x_q_r_code_tools.html#af4b2fa46013c54070417f20d4d81049d">creatQRCodeWithData:</a></td></tr>
<tr class="separator:af4b2fa46013c54070417f20d4d81049d"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:aae636aed99d415a3a97b398455bddee2"><td class="memItemLeft" align="right" valign="top">(UIImage *)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_x_h_x_q_r_code_tools.html#aae636aed99d415a3a97b398455bddee2">creatQRCodeWithData:centerImage:</a></td></tr>
<tr class="separator:aae636aed99d415a3a97b398455bddee2"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table>
<h2 class="groupheader">函数文档</h2>
<a id="af4b2fa46013c54070417f20d4d81049d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4b2fa46013c54070417f20d4d81049d">◆&nbsp;</a></span>creatQRCodeWithData:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (UIImage *) creatQRCodeWithData: </td>
          <td></td>
          <td class="paramtype">(NSString *)&nbsp;</td>
          <td class="paramname"><em>inputMessage</em></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="aae636aed99d415a3a97b398455bddee2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae636aed99d415a3a97b398455bddee2">◆&nbsp;</a></span>creatQRCodeWithData:centerImage:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (UIImage *) <a class="el" href="interface_x_h_x_q_r_code_tools.html#af4b2fa46013c54070417f20d4d81049d">creatQRCodeWithData:</a> </td>
          <td></td>
          <td class="paramtype">(NSString *)&nbsp;</td>
          <td class="paramname"><em>inputMessage</em></td>
        </tr>
        <tr>
          <td class="paramkey">centerImage:</td>
          <td></td>
          <td class="paramtype">(UIImage *)&nbsp;</td>
          <td class="paramname"><em>centerImage</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<hr/>该类的文档由以下文件生成:<ul>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/QRCode/<a class="el" href="_x_h_x_q_r_code_tools_8h_source.html">XHXQRCodeTools.h</a></li>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/QRCode/<a class="el" href="_x_h_x_q_r_code_tools_8m.html">XHXQRCodeTools.m</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="interface_x_h_x_q_r_code_tools.html">XHXQRCodeTools</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>